apt: pkgCache::GrpIterator Class Reference

apt 3.1.16 commandline package manager

Public Member Functions | List of all members
pkgCache::GrpIterator Class Reference
Inheritance diagram for pkgCache::GrpIterator:

## Public Member Functions
constexpr Group * | OwnerPointer () const noexcept
| GrpIterator (pkgCache &Owner) noexcept
GrpIterator & | operator++ ()
GrpIterator | operator++ (int)
constexpr const char * | Name () const noexcept
constexpr PkgIterator | PackageList () const noexcept
constexpr VerIterator | VersionsInSource () const noexcept
PkgIterator | FindPkg (std::string_view Arch={"any", 3}) const
PkgIterator | FindPreferredPkg (bool const &PreferNonVirtual=true) const
| find the package with the "best" architecture
PkgIterator | NextPkg (PkgIterator const &Pkg) const
constexpr | GrpIterator (pkgCache &Owner, Group *Trg) noexcept
Public Member Functions inherited from pkgCache::Iterator< Group, GrpIterator >
constexpr bool | end () const noexcept
constexpr bool | operator== (const GrpIterator &B) const noexcept
constexpr bool | operator!= (const GrpIterator &B) const noexcept
constexpr Group * | operator-> () noexcept
constexpr | operator Group * () noexcept
constexpr | operator Group const * () const noexcept
constexpr Group & | operator* () noexcept
constexpr pkgCache * | Cache () const noexcept
constexpr bool | IsGood () const noexcept
constexpr unsigned long | Index () const noexcept
constexpr map_pointer< Group > | MapPointer () const noexcept
void | ReMap (void const *const oldMap, void *const newMap)

## Additional Inherited Members
Public Types inherited from pkgCache::Iterator< Group, GrpIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Protected Attributes inherited from pkgCache::Iterator< Group, GrpIterator >
Group * | S
pkgCache * | Owner

## Member Function Documentation

## ◆ FindPreferredPkg()

pkgCache::PkgIterator FindPreferredPkg | ( | bool const & | PreferNonVirtual = true | ) | const

find the package with the "best" architecture

The best architecture is either the "native" or the first in the list of Architectures which is not an end-Pointer

Parameters

  PreferNonVirtual | tries to respond with a non-virtual package and only if this fails returns the best virtual package

References FindPreferredPkg().

Referenced by FindPreferredPkg().

The documentation for this class was generated from the following files:

- apt-pkg/cacheiterators.h
- apt-pkg/pkgcache.cc